# Interface VoidValue

All Superinterfaces:
  `Mirror, Value`

public interface VoidValue extends Value
Provides access to a primitive `void` value in the target VM.

Since:
  1.3

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified Object with this VoidValue for equality.
`int`
`hashCode()`
Returns the hash code value for this VoidValue.

### Methods declared in interface Mirror

`toString, virtualMachine`

### Methods declared in interface Value

`type`

## Method Details

### equals

boolean equals(Object obj)
Compares the specified Object with this VoidValue for equality.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare.
Returns:
  true if the Object is a VoidValue; false otherwise.
See Also:
  - `Object.hashCode()`
  - `HashMap`

### hashCode

int hashCode()
Returns the hash code value for this VoidValue.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`